#include <Adafruit_NeoPixel.h>
#include <avr/power.h>

#define led_pin  8
#define NUM_LEDS  7

Adafruit_NeoPixel leds(NUM_LEDS, led_pin, NEO_GRB + NEO_KHZ800);

void setup() {
  pinMode(led_pin, OUTPUT);
  leds.begin();       
}

void loop() {
  leds.clear(); // Set all pixel colors to 'off'
  for(int i=0; i<NUM_LEDS; i++) {   
    leds.setPixelColor(i, leds.Color((i*20), 150, 0));
    leds.show();
    delay(500); 
  }
}
